<template>
    <div>
        <h2>{{ getGreeting }}</h2>
        <p>This is my new component.</p>
    </div>
</template>

<script>

// let, store.js file
// export const store{
//     state:{
//         numbers:[1,2,3,4]
//     },
//     pushNewNumber(newNumberString){
//         this.state.number.push(Number(newNumberString))
//     }
// }

// importing in another .vue file is like :
// import { store } from 'path/to/store.js'
// data(){
//     return { storeState: store.state} 
// }
// then in <templates> , {{ storeState.numbers }

export default {
    name: 'MyComponent',
    data(){
        return {
            greetingMessage: "My New Component"
        }
    },
    computed:{
        getGreeting(){
            return this.greetingMessage.split('').reverse().join('')
        }
    }
}
</script>

<style lang="scss" scoped>

    h2{
        width:100%;
        text-align:center;
    }
    
</style>